list active channel alarms.md
List Active Channel Alarms
Channels API · channel alarms
GET /ui/connectors/channels-api/latest/channelalarms/active/
List active alarms for a channel identified by name.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
channelName |
string | Yes | — |
Example request
curl -X GET "/ui/connectors/channels-api/latest/channelalarms/active/"
Responses
200 — Successful Response
value· list of objects · Required- Array items (object):
kind· string · Optional · Defaults to Alarmmetadata· object · Requiredid· string · Required · format: uuidname· string · RequireddisplayName· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
objectId· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
channelName· string · Requiredcreated· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
status· object · Requiredseverity· enum · Required- Allowed values:
Critical,Major,Minor,Notice,Ignore,Clear
- Allowed values:
additionalInfo· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
- Array items (object):
supplemental· object · Requiredkind· string · Optional · Defaults to AlarmListcount· integer · Requiredoperation· string · Optional · Defaults to listpagination· object · Requiredstart· integer · Requiredend· integer · Requiredrecords· integer · Requiredtotal· integer · Required
Example:
{
"value": [
{
"kind": "Alarm",
"metadata": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"displayName": "string",
"objectId": "string",
"channelName": "string",
"created": "2024-01-01T00:00:00Z"
},
"status": {
"severity": "Critical",
"additionalInfo": "string"
}
}
],
"supplemental": {
"kind": "AlarmList",
"count": 0,
"operation": "list",
"pagination": {
"start": 0,
"end": 0,
"records": 0,
"total": 0
}
}
}
422 — Validation Error
detail· list of objects · Optional- Array items (object):
loc· list of objects · Required- Array items (object):
- One of the following variants:
- string (string)
- integer (integer)
- One of the following variants:
- Array items (object):
msg· string · Requiredtype· string · Requiredinput· any · Optionalctx· object · Optional
- Array items (object):
Example:
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}
503 — Service unavailable
No response body.
Source spec: channels-api · operationId: list_active_channel_alarms_channelalarms_active__get